List all Product Categories
curl --request GET \
--url https://public-api.stora.co/2025-09/product_categories \
--header 'Authorization: Bearer <token>'import requests
url = "https://public-api.stora.co/2025-09/product_categories"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://public-api.stora.co/2025-09/product_categories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"product_categories": [
{
"id": "pcat_643d3a52e2702246",
"name": "Access"
},
{
"id": "pcat_38a43d5e68a8dce5",
"name": "Boxes"
},
{
"id": "pcat_a434b3a5bc8102bc",
"name": "Charge/Fee"
},
{
"id": "pcat_9e54ee1becb431b2",
"name": "Locks"
},
{
"id": "pcat_3694743f2dd41938",
"name": "Merchandise"
},
{
"id": "pcat_cb9e95e7e8b778e0",
"name": "Packaging"
},
{
"id": "pcat_67276d8ef62c6bd3",
"name": "Padlocks"
},
{
"id": "pcat_655a65716deb3641",
"name": "Security"
},
{
"id": "pcat_a5562516b2fb85cd",
"name": "Services"
},
{
"id": "pcat_91e1c50b8dd88709",
"name": "Unit upgrades"
},
{
"id": "pcat_f88ad82d8b026b87",
"name": "Utilities"
}
],
"meta": {
"request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
"curies": [
{
"name": "bo",
"href": "https://app.stora.test{rel}",
"templated": true,
"title": "Backoffice"
},
{
"name": "sf",
"href": "https://acme.stora.test{rel}",
"templated": true,
"title": "Storefront"
}
],
"pagination": {
"count": 11,
"last": 1,
"limit": 50,
"next": null,
"page": 1,
"pages": 1,
"prev": null
}
}
}Product Categories
List all Product Categories
Retrieve a list of all product categories.
Required authorization scope: public.product_category:read
GET
/
2025-09
/
product_categories
List all Product Categories
Authorizations
BearerOAuth2
Bearer Token necessary to use API
Query Parameters
Pagination: Page number
Required range:
x >= 1Pagination: Limit number of items per page.
Required range:
1 <= x <= 100This endpoint supports expandable responses. For more, see the documentation page.
Was this page helpful?
⌘I